/*  kglaxis.cpp - 
    This file is part of KGL
    Copyright (C) 2001  Antonio Larrosa Jimenez
    KGL' homepage : http://devel-home.kde.org/~larrosa/kgl.html

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 

    Send comments and bug fixes to Antonio Larrosa <larrosa@kde.org>

 ***************************************************************************/
#include "kglaxis.h"
#include "kglrectangle.h"
#include "kglline.h"

KGLAxis::KGLAxis() : KGLSet()
{
   KGLObject::color(Qt::gray, 0.2);  
   addGLObject(new KGLRectangle(0,0,0,1000,0,0,1000,1000,0,0,1000,0));
   addGLObject(new KGLRectangle(0,0,0,0,1000,0,0,1000,1000,0,0,1000));
   addGLObject(new KGLRectangle(0,0,0,0,0,1000,1000,0,1000,1000,0,0));

   KGLObject::color(Qt::white, 1);  
   for (int i=0;i<1000;i++)
   {
      addGLObject(new KGLLine(i,0,0,i,0,0.06));
      addGLObject(new KGLLine(0,i,0,0.06,i,0));
      addGLObject(new KGLLine(0,0,i,0,0.06,i));
   }
}
