/*  kglmesh.h - 
    This file is part of KGL
    Copyright (C) 2000,2001  Antonio Larrosa Jimenez
    KGL' homepage : http://devel-home.kde.org/~larrosa/kgl.html

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 

    Send comments and bug fixes to Antonio Larrosa <larrosa@kde.org>

 ***************************************************************************/
#ifndef _KGLMESH_H
#define _KGLMESH_H

#include <qgl.h>
#include "kglobject.h"

class KGLMesh : public KGLObject
{
public:
/**
 * mesh[i] is an array of size w
 * and mesh is an array of h
 */

KGLMesh(GLfloat **mesh, GLfloat ***normalMesh, GLfloat x1, GLfloat y1,
	GLfloat x2, GLfloat y2, int w, int h, QImage texture=QImage() );
};

#endif
